@echo off

Echo Set Variables
set /p SolutionName=What is the solution name (usually x3v5 or x3v6)?
set REGKEY=HKLM\Software\Adonix\X3RUNTIME\%SolutionName%
set REGVAL=ADXDIR


REM query the value. pipe it through findstr in order to find the matching line that has the value. only grab token 3 and the remainder of the line. %%b is what we are interested in here.
set VALUE=
for /f "tokens=2,*" %%a in ('reg query %REGKEY% /v %REGVAL% ^| findstr %REGVAL%') do (
    set myDir=%%b
)

Echo Run %myDir%\bin\env.bat
Call %myDir%\bin\env.bat

Echo Run psadx -afghimopx >%USERPROFILE%\myActiveUsers.log
call psadx -afghimopx >%USERPROFILE%\myActiveUsers.log

Echo launching log file: %USERPROFILE%\myActiveUsers.log
%USERPROFILE%\myActiveUsers.log